#
# spec file for package ghc-sbv
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name sbv
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        5.11
Release:        11.72
Summary:        SMT Based Verification: Symbolic Haskell theorem prover using SMT solving
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-crackNum-devel
BuildRequires:  ghc-data-binary-ieee754-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-syb-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Express properties about Haskell programs and automatically prove them using
SMT (Satisfiability Modulo Theories) solvers.

For details, please see: <http://leventerkok.github.com/sbv/>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/SBVUnitTests
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/SBVUnitTest
%dir %{_datadir}/%{pkg_name}-%{version}/SBVUnitTest/GoldFiles
%{_datadir}/%{pkg_name}-%{version}/SBVUnitTest/GoldFiles/*.gold

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES.md README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 5.11 revision 0 with cabal2obs.
